# This file is a part of Redmin CMS (redmine_cms) plugin,
# CMS plugin for redmine
#
# Copyright (C) 2011-2023 RedmineUP
# http://www.redmineup.com/
#
# redmine_cms is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# redmine_cms is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with redmine_cms.  If not, see <http://www.gnu.org/licenses/>.

module RedmineCms
  class SassFilter < RedmineCms::TextFilter
    def self.mine_type
      'sassmixedliquid'
    end

    def content_type
      'text/css'
    end

    def filter(text, _cms_object)
      begin
        Sass::Engine.new(text, { :style => Rails.env.production? ? :compact : :nested }).render
      rescue Sass::SyntaxError
        "Syntax Error at line #{$!.sass_line}: " + $!.to_s
      end
    end
  end
end
